'******************************************************************************
'*  m100.spin - main
'*
'*  (c) Juergen Buchmueller <pullmoll@t-online.de>
'*
'* $Id$
'******************************************************************************
CON
	_clkmode	= XTAL1 + PLL16X
	_xinfreq	= 5_000_000

#define M100
'#define NTSC
#define PAL

'#define TriBladeProp
'#define RamBladeProp		' not very useful without 1pin KBD for the M100
#define DracBladeProp

#define INTERRUPTS
'#define DEBUG

#ifdef TriBladeProp
' serial I/O pins on the TriBladeProp #2
	SI			= 31
	SO			= 30
	SI2			= -1
	SO2			= -1
' SD pins on the TriBladeProp #2
	doPin			= 9
	clkPin			= 28
	diPin			= 8
	csPin			= 14
' TV out pin
	tvPin			= 14
' Keyboard pins
	kbDpin			= 26
	kbCpin			= 27
' audio pin
	auPin			= 16	' ???
#endif

#ifdef RamBladeProp
' serial I/O pins on the RamBladeProp
	SI			= 23
	SO			= 22
	SI2			= -1
	SO2			= -1
' microSD pins on RamBladeProp
	doPin			= 24
	clkPin			= 26
	diPin			= 25
	csPin			= 19
' TV out pin
	tvPin			= 29	' ???
' Keyboard pins
	kbDpin			= 26	' ???
	kbCpin			= 27	' ???
' audio pin
	auPin			= 22	' ??? instead of SO?
#endif

#ifdef DracBladeProp
' serial I/O pins on the DracBladeProp
	SI			= 31
	SO			= 30
	SI2			= -1
	SO2			= -1
' SD pins on the DracBladeProp
	doPin			= 12
	clkPin			= 13
	diPin			= 14
	csPin			= 15
' TV out pin
	tvPin			= 16
' Keyboard pins
	kbDpin			= 26
	kbCpin			= 27
' audio pin
	auPin			= 24	' SO2
#endif

VAR
	byte	pins[12]
	long	params[3]

#ifdef COUNT_C
	long	cycles
	long	time
#endif

OBJ
	io	: "io"
	q85	: "q85"

PUB start : okay
	pins[ 0] := SI
	pins[ 1] := SO
	pins[ 2] := SI2
	pins[ 3] := SO2
	pins[ 4] := doPin
	pins[ 5] := clkPin
	pins[ 6] := diPin
	pins[ 7] := csPin
	pins[ 8] := kbDpin
	pins[ 9] := kbCpin
	pins[10] := auPin
	pins[11] := tvPin
	io.start(@pins)

	params[0] := io.command_addr
	params[1] := io.irq_addr
	params[2] := 0
	q85.start(@params)
